{
	fetchFromGitHub ,
	stdenv ,
} :

with stdenv ;

mkDerivation {
	pname = "python-django-pgtrigger" ;
	version = "2024-12-24-fa2155e" ;

	src = fetchFromGitHub {
		owner = "ambitioneng" ;
		repo = "django-pgtrigger" ;
		rev = "fa2155e630da8752a22a6c4ab81eb0e19f5979eb" ;
		hash = "sha256-K+JjAermtSiVUnPbtyabpQN2ghnRIkwt329Ytp8zeQk=" ;
	} ;

	dontPatch = true ;
	dontConfigure = true ;
	dontBuild = true ;

	installPhase = ''
		runHook preInstall

		mkdir -p $out/lib/python3.11/site-packages/pgtrigger
		cp $src/pgtrigger/*.py $out/lib/python3.11/site-packages/pgtrigger/
		cp -r $src/pgtrigger/management $out/lib/python3.11/site-packages/pgtrigger/
		
		mkdir -p $out/lib/python3.11/site-packages/django_pgtrigger-4.13.3.dist-info
		cat << EOF > $out/lib/python3.11/site-packages/django_pgtrigger-4.13.3.dist-info/METADATA
			Metadata-Version: 2.1
			Name: django-pgtrigger
			Version: 4.13.3
		EOF 

		runHook postInstall
	'' ;
}
